Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class URLDecoder

    java.lang.Object
      |
      +--java.net.URLDecoder

public class URLDecoder
extends Object

The class contains a utility method for converting from a MIME format called "`x-www-form-urlencoded`" to a `String`

To convert to a `String`, each character is examined in turn:

- The ASCII characters '`a`' through '`z`', '`A`' through '`Z`', and '`0`' through '`9`' remain the same.
- The plus sign '`+`'is converted into a space character '`` '.
- The remaining characters are represented by 3-character strings which begin with the percent sign, "`%xy`", where xy is the two-digit hexadecimal representation of the lower 8-bits of the character.

Since:
  1.2

Constructor Summary
`URLDecoder()`

Method Summary
`static String` | `decode(String s)` Decodes a "x-www-form-urlencoded" to a `String`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLDecoder

    public URLDecoder()

Method Detail

### decode

    public static String decode(String s)

  Decodes a "x-www-form-urlencoded" to a `String`.
  Parameters:
    `s` - the `String` to decode
  Returns:
    the newly decoded `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.